# -*- coding: utf-8 -*-
"""
/***************************************************************************
 aChor
                                 A QGIS plugin
 task-oriented data classification for choropleth maps 
                             -------------------
        begin                : 2018-03-26
        copyright            : (C) 2018 by Hafencity University Hamburg
        email                : juiwen.chang@hcu-hamburg.de
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load aChor class from file aChor.

    :param iface: A QGIS interface instance.
    :type iface: QgisInterface
    """
    #
    from .aChor import aChor
    return aChor(iface)
